.TH "mca_btl_openib_module_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
mca_btl_openib_module_t \- IB PTL Interface.  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <btl_openib.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "\fBmca_btl_base_module_t\fP \fBsuper\fP"
.br
.RI "\fIbase PTL interface \fP"
.ti -1c
.RI "bool \fBbtl_inited\fP"
.br
.ti -1c
.RI "mca_btl_openib_recv_reg_t \fBib_reg\fP [256]"
.br
.ti -1c
.RI "mca_btl_openib_port_info_t \fBport_info\fP"
.br
.ti -1c
.RI "uint8_t \fBport_num\fP"
.br
.RI "\fIID of the PORT. \fP"
.ti -1c
.RI "ibv_device * \fBib_dev\fP"
.br
.ti -1c
.RI "ibv_context * \fBib_dev_context\fP"
.br
.ti -1c
.RI "ibv_pd * \fBib_pd\fP"
.br
.ti -1c
.RI "ibv_cq * \fBib_cq_hp\fP"
.br
.ti -1c
.RI "ibv_cq * \fBib_cq_lp\fP"
.br
.ti -1c
.RI "ibv_port_attr * \fBib_port_attr\fP"
.br
.ti -1c
.RI "ibv_recv_wr * \fBrd_desc_post\fP"
.br
.ti -1c
.RI "ompi_free_list_t \fBsend_free_eager\fP"
.br
.RI "\fIfree list of eager buffer descriptors \fP"
.ti -1c
.RI "ompi_free_list_t \fBsend_free_max\fP"
.br
.RI "\fIfree list of max buffer descriptors \fP"
.ti -1c
.RI "ompi_free_list_t \fBsend_free_frag\fP"
.br
.RI "\fIfree list of frags only.. \fP"
.ti -1c
.RI "ompi_free_list_t \fBrecv_free_eager\fP"
.br
.RI "\fIHigh priority free list of buffer descriptors. \fP"
.ti -1c
.RI "ompi_free_list_t \fBrecv_free_max\fP"
.br
.RI "\fILow priority free list of buffer descriptors. \fP"
.ti -1c
.RI "\fBopal_list_t\fP \fBreg_mru_list\fP"
.br
.RI "\fIa most recently used list of mca_mpool_openib_registration_t entries, this allows us to keep a working set of memory pinned \fP"
.ti -1c
.RI "\fBopal_mutex_t\fP \fBib_lock\fP"
.br
.RI "\fIan array to allow posting of rr in one swoop \fP"
.ti -1c
.RI "size_t \fBib_inline_max\fP"
.br
.RI "\fImax size of inline send \fP"
.ti -1c
.RI "bool \fBpoll_cq\fP"
.br
.ti -1c
.RI "int32_t \fBnum_peers\fP"
.br
.ti -1c
.RI "int32_t \fBrd_num\fP"
.br
.ti -1c
.RI "int32_t \fBrd_low\fP"
.br
.ti -1c
.RI "int32_t \fBsd_tokens_hp\fP"
.br
.RI "\fInumber of high priority frags that can be outstanding (down counter) \fP"
.ti -1c
.RI "int32_t \fBsd_tokens_lp\fP"
.br
.RI "\fInumber of low priority frags that can be outstanding (down counter) \fP"
.ti -1c
.RI "\fBopal_list_t\fP \fBpending_frags_hp\fP"
.br
.RI "\fIlist of pending high priority frags \fP"
.ti -1c
.RI "\fBopal_list_t\fP \fBpending_frags_lp\fP"
.br
.RI "\fIlist of pending low priority frags \fP"
.in -1c
.SH "Detailed Description"
.PP 
IB PTL Interface. 
.PP
.SH "Field Documentation"
.PP 
.SS "ompi_free_list_t \fBmca_btl_openib_module_t::send_free_frag\fP"
.PP
free list of frags only.. 
.PP
used for pining memory 

.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
